# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name: my-little-dummy-package
Version: 0.1
Release: 5%{?dist}
Summary: Just a dummy package for a testing

License: ASL 2.0
URL:     https://example.com/my-little-dummy-package
Source0: bumblebee_pubkey.gpg

%description
%{summary}

%package gpginstall
Summary: Import GPG key into the rpmdb during postin

%description gpginstall
%{summary}


%prep
rm -rf gpgkeys
mkdir gpgkeys
cp %{SOURCE0} gpgkeys/


%build


%install
install -m 0755 -d %{buildroot}%{_datadir}my-little-dummy-package
install -m 0755 -d %{buildroot}%{_datadir}my-little-dummy-package-gpgkeys
echo 'huraa!!' > %{buildroot}%{_datadir}my-little-dummy-package/battle-cry

install -m 0755 gpgkeys/* %{buildroot}%{_datadir}my-little-dummy-package-gpgkeys/

%posttrans gpginstall
set -x
rpm --import /usr/sharemy-little-dummy-package-gpgkeys/bumblebee_pubkey.gpg || echo 'hups: key not installed'


%files
%dir %{_datadir}my-little-dummy-package
%{_datadir}my-little-dummy-package/battle-cry

%files gpginstall
%dir %{_datadir}my-little-dummy-package-gpgkeys
%{_datadir}my-little-dummy-package-gpgkeys/*


%changelog
* Mon Nov 28 2022 Petr Stodulka <pstodulk@redhat.com> 0.1-1
- only build
